Bug 881611 - Handle old vdsm libvirt reconfigure
Handle old vdsm libvirt reconfigure
Status: CLOSED CURRENTRELEASE
Product: ovirt-host-deploy
Classification: oVirt
Component: Plugins.VDSM (Show other bugs)
---
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: 1.0.0
Assigned To: Alon Bar-Lev
Ido Begun
infra
: Improvement
Depends On: bootstrap-rewrite
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-11-29 03:14 EST by Alon Bar-Lev
Modified: 2016-02-10 14:20 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bazulay: devel_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 9685 None None None Never

  None (edit)
Description Alon Bar-Lev 2012-11-29 03:14:16 EST
Old vdsm within initd system had 'reconfigure' custom command.
systemd does not support custom commands to services.

bug#869651 fixed the method of reconfigure to be file triggered.

However, we still need to support old vdsm configurations.
Comment 1 Alon Bar-Lev 2012-12-03 15:51:53 EST
commit fb865dbefa645d6ce76ebfc8a972ac16b06ae6c0
Author: Alon Bar-Lev <alonbl@redhat.com>
Date:   Mon Dec 3 22:44:46 2012 +0200

    vdsm: packages: reconfigure vdsm using the old method
    
    Temporary workaround for old vdsm for libvirt reconfigure trigger.
    
    Change-Id: I64ae3f38707fffb5815dd014ed40ee84798ceb5e
    Bug-Url: https://bugzilla.redhat.com/show_bug.cgi?id=881611
    Signed-off-by: Alon Bar-Lev <alonbl@redhat.com>

http://gerrit.ovirt.org/9685
Comment 3 Ido Begun 2013-04-02 09:48:01 EDT
OK - SF12

Old method indeed reconfigures VDSM.
Comment 4 Itamar Heim 2013-06-11 04:43:10 EDT
3.2 has been released
Comment 5 Itamar Heim 2013-06-11 04:43:15 EDT
3.2 has been released
Comment 6 Itamar Heim 2013-06-11 04:43:18 EDT
3.2 has been released
Comment 7 Itamar Heim 2013-06-11 04:50:07 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.